<template>
	<view :class="[AppTheme]" class="all_box">
		<view class="write_off">
			<image :src="settingFile.root_img+'/static/app/xuanzhong.png'" mode=""></image>
			<view class="">
				恭喜你,核销成功!
			</view>
		</view>
		<view class="write_button">
			<button @click="gowriteoff" class="write_button_btn1 bg-linear-gradient">继续核销</button>
			<button @click="toindex" class="write_button_btn1 bg-linear-gradient">回到首页</button>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				primary:this.$theme.primary,
				settingFile:getApp().globalData.siteinfo,
			}
		},
		methods: {
			
			//继续核销
			gowriteoff(){  
				uni.scanCode({
					scanType: 'qrCode',
					success: function(res) {
						uni.navigateTo({
							url: '/pagesB/pages/activorderdails/writeoffdetails/writeoffdetails?code=' +res.result
						})
					}
				})
			},
			//回到主页
			toindex() { 
				uni.switchTab({
					url:"/pages/index/index"
				})
			}
		}
	}
</script>

<style lang="scss" scoped>
	.all_box {
		.write_off {
			margin-top: 80rpx;
			text-align: center;
			image {
				width: 200rpx;
				height: 200rpx;
				margin-bottom: 20rpx;
			}
		}

		.order_information {
			width: 95%;
			background-color: #f4f4f4;
			margin: auto;
			margin-top: 30rpx;
			padding: 20rpx;
			border-radius: 20rpx;

			.lable {
				display: flex;
				justify-content: space-between;
				align-items: center;
				line-height: 50rpx;
				color: #1d1d1d;

				text {
					color: #999;
				}

				.lable_name {
					color: #1d1d1d;
				}
			}
		}

		.write_button {
			text-align: center;
			margin-top: 50rpx;

			.write_button_btn1 {
				margin: auto;
				margin-bottom: 20rpx;
				width: 600rpx;
				border-radius: 50rpx;
				color: white;
			}
		}
	}
</style>
